#! /usr/bin/env python
"""Subprocess for the forking robot - check URL using bkmk_rurlib robot

This file is a part of Bookmarks database and Internet robot.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 1999-2017 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = []


import sys, os

lib_dir = os.path.normpath(os.path.join(os.path.dirname(sys.argv[0]), os.pardir))
sys.path.append(lib_dir) # for bkmk_objects.py

try:
    import cPickle
    pickle = cPickle
except ImportError:
    import pickle

from subproc import RecordFile


def run():
    bkmk_in = RecordFile(sys.stdin)
    bkmk_out = RecordFile(sys.stdout)

    from m_lib.flog import openlog
    log = openlog("check2.log")
    from robots import robot
    robot = robot(log)

    while 1:
        bookmark = pickle.loads(bkmk_in.read_record())
        log(bookmark.href)
        robot.check_url(bookmark)
        bkmk_out.write_record(pickle.dumps(bookmark))
        log.outfile.flush()

    log.close()


if __name__ == '__main__':
    run()
